const keys = [
  "bigonial_breadth",
  "bizygomatic_breadth",
  "eye_inner_corner_distance",
  "eye_outer_corner_distance",
  "head_breadth",
  "interpupillary_distance",
  "lip_length",
  "menton_sellion_length",
  "minimum_frontal_breadth",
  "nasal_root_breadth",
  "nose_breadth",
  "nose_protrusion",
  "subnasale_sellion_length"
]
const displayNames = keys.map(k => {
  return k.split('_')
          .map(word => word.charAt(0).toUpperCase() + word.slice(1))
          .join(' ')
})

const shortNames = keys.map(key => {
  switch (key) {
    case keys[0]:
      return 'bgb'
    case keys[1]:
      return 'bzb'
    default:
      return  key
              .split('_')
              .map(word => word.charAt(0))
              .join('')
  }
})

function shortName(key) {
  return shortNames[keys.indexOf(key)]
}

function displayName(key) {
  return displayNames[keys.indexOf(key)]
}

export default {
  keys,
  displayNames,
  shortNames,
  shortName,
  displayName
}
